﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Windows.Storage;

[assembly: Xamarin.Forms.Dependency(typeof(LoadToPdfViewer.UWP.DependencyService))]

namespace LoadToPdfViewer.UWP
{
    internal class DependencyService : IDependencyService 
    {
        public async Task<Stream> LoadDocumentToViewer()
        {
            StorageFolder localFolder = Windows.Storage.ApplicationData.Current.LocalFolder;
            StorageFile file = await localFolder.GetFileAsync("Barcode.pdf");

            Stream fileStream = await file.OpenStreamForReadAsync();
            return fileStream;
        }
    }
}
