﻿using Syncfusion.Drawing;
using Syncfusion.Pdf;
using Syncfusion.Pdf.Graphics;
using System;
using System.Collections.Generic;
using System.IO;
using System.Text;
using System.Threading.Tasks;

[assembly: Xamarin.Forms.Dependency(typeof(LoadToPdfViewer.iOS.DependencyService))]

namespace LoadToPdfViewer.iOS
{
    internal class DependencyService : IDependencyService 
    {
        public async Task<Stream> LoadDocumentToViewer()
        {
            
            var folder = Environment.GetFolderPath(Environment.SpecialFolder.Personal);
            var filePath = Path.Combine(folder, "File.pdf");

            FileStream Fstream = new FileStream(filePath, FileMode.Open);
            Stream fileStream = Fstream as Stream;

            return fileStream;
        }
    }
}
